=== debian/changelog ===
systemd-udeb (257.2-6) unstable; urgency=medium

  * udev-udeb: add back networkd link files previously shipped (Closes:
    #1093907)

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 Jan 2025 10:54:51 +0000

systemd-udeb (257.2-5) unstable; urgency=high

  * Do not use dh-sequence-dlopenlibdeps. It cannot deal with udebs, so
    add explicit libkmod2-udeb dependency

 -- Luca Boccassi <bluca@debian.org>  Sat, 18 Jan 2025 09:54:13 +0000

systemd-udeb (257.2-4) unstable; urgency=high

  * udev-udeb.install: memory_id tool is not built on ppc64el/s390x

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 22:39:47 +0000

systemd-udeb (257.2-3) unstable; urgency=high

  * Fix patch backport. An older version was imported by mistake, that
    does not build on ppc64el and s390x. Fix it.

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 19:42:55 +0000

systemd-udeb (257.2-2) unstable; urgency=high

  * Backport patch to add udev build/install meson hooks
  * Split udeb to separate source package

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 Jan 2025 11:48:04 +0000

systemd (257.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/257.2' (Closes: #1092125)
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Jan 2025 20:48:25 +0000

systemd (257.1-7) unstable; urgency=medium

  * Add missing d/copyright file to signed template packages
  * d/t/tests-in-lxd: more fixes for debci compatibility

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 Jan 2025 01:55:59 +0000

systemd (257.1-6) unstable; urgency=medium

  * d/t/tests-in-lxd: drop auto-apt-proxy.conf from container
  * Drop build dependency on libxen-dev on armhf, no longer available
    (Closes: #1091545)

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Jan 2025 11:39:41 +0000

systemd (257.1-5) unstable; urgency=medium

  * d/t/tests-in-lxd: install auto-apt-proxy in the nested container.
  * d/t/upstream: do not use --verbose with 'meson test'
  * d/t/upstream: do not mask machined and instead use mkosi workaround
  * d/t/upstream: switch from btrfs to ext4 and use nspawn again. Kernel
    6.12 broke mounting btrfs volumes from loop devices, switch to ext4 as
    a workaround and use nspawn again, as it's faster

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Dec 2024 18:59:19 +0000

systemd (257.1-4) unstable; urgency=medium

  * d/t/upstream: decrease parallelism to nproc - 1
  * d/t/upstream: do not use nspawn for tests
  * d/t/upstream: disable homed/userdbd in the test runner
  * d/t/upstream: mask systemd-machined
  * Backport patch to workaround issue in new mdadm

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Dec 2024 13:57:12 +0000

systemd (257.1-3) unstable; urgency=medium

  * autopkgtest: mark tests-in-lxd as flaky

 -- Luca Boccassi <bluca@debian.org>  Sat, 21 Dec 2024 01:19:14 +0000

systemd (257.1-2) unstable; urgency=medium

  * Various fixes for d/t/tests-in-lxd

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 15:27:15 +0000

systemd (257.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * test: fix flaky boot-and-services test.
  * d/t/upstream: fix mkosi syntax warnings
  * systemd-ukify: recommend python3-cryptography. One of the verbs uses
    it, so add a recommend to pull it in by default (Closes: #1090759)
  * d/watch: restrict to v257.x series
  * Update upstream source from tag 'upstream/257.1' (Closes: #1087616)
  * Drop patches, merged upstream
  * Install systemd-creds bash completion

  [ Nick Rosbrook ]
  * d/t/tests-in-lxd: run some tests under LXD
  * debian/tests/boot-and-services: drop test_no_failed
  * debian/control: add Breaks: systemd (<< ${binary:Version}) for udev.
    This ensures that systemd is also upgraded whenever udev is upgraded.
  * d/control: make systemd-sysv Depends: on matching version of systemd
  * d/systemd-resolved.postinst: copy existing /etc/resolv.conf on new
    installs

  [ Balint Reczey ]
  * debian/systemd.postinst: Skip daemon-reexec and try-restarts during
    shutdown. LP #1803391

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Dec 2024 21:41:25 +0000

systemd (257-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * udev: install dmi_memory_id and its rules on riscv64.

  [ Luca Boccassi ]
  * Backport patches to fix test failures

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Dec 2024 18:31:08 +0000

systemd (257-1) unstable; urgency=medium

  * Update to new upstream version v257. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc1
  * Update symbols file for v257

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Dec 2024 19:57:21 +0000

systemd (257~rc3-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * systemd-ukify: recommend systemd-boot-efi for the stub (Closes:
    #1087808)
  * Increase minimum sections in stub PE header on arm64/armhf/riscv64 to
    500. Allows riscv64 to include all current DTBs with some room to grow
    (Closes: #1087817)
  * Bump version in tzdata dependency due to p-u upload
  * Update to new upstream version v257~rc3. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v257-rc3
  * Drop patches, merged upstream
  * Update symbols for 257~rc3

  [ Ben Hutchings ]
  * sysctl: Add file trigger on /usr/lib/sysctl.d to restart systemd-
    sysctl. (Closes: #1085160)

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Nov 2024 21:21:02 +0000

systemd (257~rc2-3) unstable; urgency=low

  * Backport patch to remove faulty unit test assertion

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 10:13:56 +0000

systemd (257~rc2-2) unstable; urgency=low

  * Backport patch to fix FTBFS due to failing unit test

 -- Luca Boccassi <bluca@debian.org>  Sat, 16 Nov 2024 00:36:08 +0000

systemd (257~rc2-1) unstable; urgency=low

  * d/t/control: add more packages to dummy hint-testsuite-triggers. A
    regression was introduced by nvme-cli in testing because the testsuite

