## systemd-udeb 257.4

=== debian/changelog ===
systemd-udeb (257.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/257.4' Update to upstream
    version '257.4' with Debian dir
    091285b6c9677c854b67cc943ae4ec80674e3c3c
    (Closes: #1098631)

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Mar 2025 16:55:26 +0000
