=== debian/control ===
Source: systemd-udeb
Section: debian-installer
Priority: optional
Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
Homepage: https://systemd.io
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-package-notes,
               pkgconf,
               meson (>= 1.3.0~),
               gettext,
               gperf,
               libcap-dev,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,

Package: udev-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libkmod2-udeb,
         util-linux-udeb,
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: libudev1-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: libudev shared library
 This library provides access to udev device information.
 .
 This is a minimal version, only for use in the installation system.
