## systemd-udeb 258

=== debian/changelog ===
systemd-udeb (258-1) unstable; urgency=medium

  * Add back dependency on libcrypt-dev (Closes: #1106999)
  * d/watch: restrict to major releases
  * Update to new upstream version v258. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v258
    (Closes: #1110462)
  * Drop all patches, merged upstream
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/rules: explicitly enable libmount
  * Backport patch to fix linking standalone udev
  * d/copyright: update path for linux headers

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Sep 2025 13:45:55 +0100
