=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
 Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
@@ -16,6 +16,7 @@
                gettext,
                gperf,
                libcap-dev,
+               libcrypt-dev,
                libselinux1-dev (>= 2.1.9),
                libacl1-dev,
                libkmod-dev (>= 15),
