=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 		-Dkmod=enabled \
 		-Dacl=enabled \
 		-Dblkid=enabled \
+		-Dlibmount=enabled \
 		-Dauto_features=disabled \
 		-Drpmmacrosdir=no \
 		-Dhwdb=false \
@@ -41,7 +42,6 @@
 		-Durlify=false \
 		-Dlink-udev-shared=false \
 		-Dsysext=false \
-		-Dnscd=false \
 		-Dsysusers=false \
 		-Dinstall-tests=false \
 		-Ddbus-interfaces-dir=no \
