## systemd-udeb 259

=== debian/changelog ===
systemd-udeb (259-1~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging upstream version 259.
  * Merging debian version 259-1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Dec 2025 02:03:17 +0100

systemd-udeb (259-1) unstable; urgency=medium

  * Update to new upstream version v259. For a full list of changes:
    https://github.com/systemd/systemd/releases/tag/v259
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Dec 2025 14:32:56 +0000

systemd-udeb (258-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Sep 2025 06:48:28 +0200
