=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: systemd-udeb
 Section: debian-installer
 Priority: optional
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>,
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+XSBC-Original-Uploaders: Luca Boccassi <bluca@debian.org>,
+Bugs: mailto:maintainers@lists.progress-linux.org
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
+Vcs-Browser: https://git.progress-linux.org/horok-backports/systemd-udeb
+Vcs-Git: https://git.progress-linux.org/horok-backports/systemd-udeb
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd-udeb
+XSBC-Original-Vcs-Git: https://salsa.debian.org/systemd-team/systemd-udeb.git
 Homepage: https://systemd.io
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
